OpenGL-3.0.3.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2002-2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.GL.StringQueries

Description

This module corresponds to parts of section 6.1.5 (String Queries) of the OpenGL 3.2 specs.

Synopsis

- vendor :: GettableStateVar String
- renderer :: GettableStateVar String
- glVersion :: GettableStateVar String
- glExtensions :: GettableStateVar [String]
- extensionSupported :: String -> GettableStateVar Bool
- shadingLanguageVersion :: GettableStateVar String
- majorMinor :: GettableStateVar String -> GettableStateVar (Int, Int)
- data ContextProfile'
  - = CoreProfile'
  - | CompatibilityProfile'
- contextProfile :: GettableStateVar [ContextProfile']

# Documentation

vendor :: GettableStateVar String Source #

renderer :: GettableStateVar String Source #

glVersion :: GettableStateVar String Source #

glExtensions :: GettableStateVar [String] Source #

extensionSupported :: String -> GettableStateVar Bool Source #

shadingLanguageVersion :: GettableStateVar String Source #

majorMinor :: GettableStateVar String -> GettableStateVar (Int, Int) Source #

A utility function to be used with e.g. `glVersion` or `shadingLanguageVersion`, transforming a variable containing a string of the form major.minor[optional rest] into a variable containing a numeric major/minor version. If the string is malformed, which should never happen with a sane OpenGL implementation, it is transformed to `(-1,-1)`.

data ContextProfile' Source #

Constructors

CoreProfile' |
CompatibilityProfile' |

#### Instances

Instances details

Show ContextProfile' Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.StringQueries Methods showsPrec :: Int -> ContextProfile' -> ShowS Source # show :: ContextProfile' -> String Source # showList :: [ContextProfile'] -> ShowS Source #
Eq ContextProfile' Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.StringQueries Methods (==) :: ContextProfile' -> ContextProfile' -> Bool Source # (/=) :: ContextProfile' -> ContextProfile' -> Bool Source #
Ord ContextProfile' Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.StringQueries

Methods

compare :: ContextProfile' -> ContextProfile' -> Ordering Source #

(<) :: ContextProfile' -> ContextProfile' -> Bool Source #

(<=) :: ContextProfile' -> ContextProfile' -> Bool Source #

(>) :: ContextProfile' -> ContextProfile' -> Bool Source #

(>=) :: ContextProfile' -> ContextProfile' -> Bool Source #

max :: ContextProfile' -> ContextProfile' -> ContextProfile' Source #

min :: ContextProfile' -> ContextProfile' -> ContextProfile' Source #

contextProfile :: GettableStateVar [ContextProfile'] Source #